# DataExchange
TKSTEP209
StepElement

# StepElement_ElementDescriptor Class Reference

Representation of STEP entity ElementDescriptor
.

`#include <StepElement_ElementDescriptor.hxx>`

Inheritance diagram for StepElement_ElementDescriptor:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_ElementDescriptor ()
| Empty constructor .
Standard_EXPORT void | Init (const StepElement_ElementOrder aTopologyOrder, const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepElement_ElementOrder | TopologyOrder () const
| Returns field TopologyOrder .
Standard_EXPORT void | SetTopologyOrder (const StepElement_ElementOrder TopologyOrder)
| Set field TopologyOrder .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_ElementOrder | theTopologyOrder
Handle_TCollection_HAsciiString | theDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_ElementDescriptor::StepElement_ElementDescriptor | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_ElementDescriptor::Description | ( |  | ) | const

Standard_EXPORT const StepElement_ElementDescriptor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepElement_Curve3dElementDescriptor, StepElement_Surface3dElementDescriptor, and StepElement_Volume3dElementDescriptor.

Standard_EXPORT void StepElement_ElementDescriptor::Init | ( | const StepElement_ElementOrder | aTopologyOrder,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

Standard_EXPORT void StepElement_ElementDescriptor::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepElement_ElementDescriptor::SetTopologyOrder | ( | const StepElement_ElementOrder | TopologyOrder | ) |

Standard_EXPORT StepElement_ElementOrder StepElement_ElementDescriptor::TopologyOrder | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepElement_ElementDescriptor::theDescription `[private]`

StepElement_ElementOrder StepElement_ElementDescriptor::theTopologyOrder `[private]`

The documentation for this class was generated from the following file:

- StepElement_ElementDescriptor.hxx